{ pkgs ? import ./nixpkgs.nix { } }:
{
  # Render the project documentation source to some presentation format (ie,
  # html) with Sphinx.
  docs = pkgs.callPackage ./docs.nix { };

  # Run some system integration tests in VMs covering some of the software
  # we're integrating (ie, application functionality).
  system-tests = pkgs.callPackage ./nixos/system-tests.nix { };

  # Run some unit tests of the Nix that ties all of these things together (ie,
  # PrivateStorageio-internal library functionality).
  unit-tests = pkgs.callPackage ./nixos/unit-tests.nix { };

  # Build all grids into a single derivation. The derivation also has several
  # attributes that are useful for exploring the configuration in a repl or
  # with eval.
  morph = pkgs.callPackage ./morph {};
}
